Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.instance
Class InvokePortletInstanceCommandFactory

    java.lang.Object
      org.jboss.portal.core.model.instance.InvokePortletInstanceCommandFactory

All Implemented Interfaces:
  InvokePortletCommandFactory

    public class InvokePortletInstanceCommandFactory

extends java.lang.Object
implements InvokePortletCommandFactory

Version:
  $Revision: 11108 $
Author:
  Julien Viet

Constructor Summary
`InvokePortletInstanceCommandFactory(java.lang.String instanceId)`

Method Summary
`ControllerCommand` | `createInvokeActionCommand(org.jboss.portal.portlet.ActionURL portletURL)` Creates a command that will trigger the action url.
`ControllerCommand` | `createInvokeRenderCommand(org.jboss.portal.portlet.RenderURL portletURL)` Creates a command that will trigger the render url.
`ControllerCommand` | `createInvokeResourceCommand(org.jboss.portal.portlet.ResourceURL resourceURL)` We don't implement (yet?) for instances as it is rather internal and not needed yet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokePortletInstanceCommandFactory

    public InvokePortletInstanceCommandFactory(java.lang.String instanceId)

Method Detail

### createInvokeActionCommand

    public ControllerCommand createInvokeActionCommand(org.jboss.portal.portlet.ActionURL portletURL)

  Description copied from interface: `InvokePortletCommandFactory`
  Creates a command that will trigger the action url.

  Specified by:
    `createInvokeActionCommand` in interface `InvokePortletCommandFactory`
  Parameters:
    `portletURL` - the action url
  Returns:
    a controller command

### createInvokeRenderCommand

    public ControllerCommand createInvokeRenderCommand(org.jboss.portal.portlet.RenderURL portletURL)

  Description copied from interface: `InvokePortletCommandFactory`
  Creates a command that will trigger the render url.

  Specified by:
    `createInvokeRenderCommand` in interface `InvokePortletCommandFactory`
  Parameters:
    `portletURL` - the render url
  Returns:
    a controller command

### createInvokeResourceCommand

    public ControllerCommand createInvokeResourceCommand(org.jboss.portal.portlet.ResourceURL resourceURL)

  We don't implement (yet?) for instances as it is rather internal and not needed yet.

  Specified by:
    `createInvokeResourceCommand` in interface `InvokePortletCommandFactory`
  Parameters:
    `resourceURL` - the resource url
  Returns:
    a controller command

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD